
<!DOCTYPE html>
<html>
<head>
  <title>Add Recipe</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
</head>
<body>
  <div class="container">
    <h1>Add Recipe</h1>
    <form method="post" enctype="multipart/form-data">
      {% csrf_token %}
      <div class="form-group">
        <label for="name">Name</label>
        <input type="text" class="form-control" id="name" name="name" required>
      </div>
      <div class="form-group">
        <label for="ingredients">Ingredients</label>
        <textarea class="form-control" id="ingredients" name="ingredients" rows="4" required></textarea>
      </div>
      <div class="form-group">
        <label for="details">Details</label>
        <textarea class="form-control" id="details" name="details" rows="6" required></textarea>
      </div>
      <div class="form-group">
        <label for="picture">Picture</label>
        <input type="file" class="form-control-file" id="picture" name="picture" accept="image/*" required>
      </div>
      <button type="submit" class="btn btn-primary">Save Recipe</button>
    </form>
  </div>

  <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>
</body>
</html>
